#! /bin/bash -x

function dump_controller_log {
    echo "error status $?"
    local pod=( $(kubectl get pods -n kube-system -l app=varnish-ingress-controller --no-headers -o custom-columns=":metadata.name") )
    kubectl logs -n kube-system ${pod}
}

MYDIR=$(dirname ${BASH_SOURCE[0]})
source ${MYDIR}/../../test/utils.sh

LOCALPORT=${LOCALPORT:-8888}

wait_until_deleted app=varnish-ingress,example!=proxy

set -e
trap dump_controller_log ERR
wait_until_ready example=proxy
wait_until_configured example=proxy

kubectl port-forward svc/varnish-ingress ${LOCALPORT}:80 >/dev/null &
trap 'kill $(jobs -p)' EXIT
wait_for_port ${LOCALPORT}

varnishtest ${TESTOPTS} -Dlocalport=${LOCALPORT} cafe_proxy.vtc
